<?php

include "includes/config.php";
include "includes/php-dbi.php";
include "includes/functions.php";
include "includes/$user_inc";
include "includes/validate.php";
include "includes/connect.php";

load_global_settings ();
load_user_preferences ();

include "includes/translate.php";

$USERS_PER_TABLE = 6;

if ( $allow_view_other != "Y" && ! $is_admin )
  $user = "";

if ( empty ( $friendly ) )
  $friendly = 0;

// Find view name in $views[]
$view_name = "";
for ( $i = 0; $i < count ( $views ); $i++ ) {
  if ( $views[$i]['cal_view_id'] == $id ) {
    $view_name = $views[$i]['cal_name'];
  }
}

?>
<HTML>
<HEAD>
<TITLE><?php etranslate ( $application_name) ?></TITLE>
<?php include "includes/styles.php"; ?>
<?php include "includes/js.php"; ?>
</HEAD>
<BODY BGCOLOR=<?php echo "\"$BGCOLOR\"";?> CLASS="defaulttext">
<?php

if ( ! empty ( $date ) && ! empty ( $date ) ) {
  $thisyear = substr ( $date, 0, 4 );
  $thismonth = substr ( $date, 4, 2 );
  $thisday = substr ( $date, 6, 2 );
} else {
  if ( empty ( $month ) || $month == 0 )
    $thismonth = date("m");
  else
    $thismonth = $month;
  if ( empty ( $year ) || $year == 0 )
    $thisyear = date("Y");
  else
    $thisyear = $year;
}

$next = mktime ( 2, 0, 0, $thismonth + 1, 1, $thisyear );
$nextyear = date ( "Y", $next );
$nextmonth = date ( "m", $next );
$nextdate = sprintf ( "%04d%02d01", $nextyear, $nextmonth );

$prev = mktime ( 2, 0, 0, $thismonth - 1, 1, $thisyear );
$prevyear = date ( "Y", $prev );
$prevmonth = date ( "m", $prev );
$prevdate = sprintf ( "%04d%02d01", $prevyear, $prevmonth );

$startdate = sprintf ( "%04d%02d01", $thisyear, $thismonth );
$enddate = sprintf ( "%04d%02d31", $thisyear, $thismonth );
$monthstart = mktime ( 2, 0, 0, $thismonth, 1, $thisyear );
$monthend = mktime ( 2, 0, 0, $thismonth + 1, 0, $thisyear );

?>

<TABLE BORDER="0" WIDTH="100%">
<TR><TD ALIGN="left">
<?php if ( ! $friendly ) { ?>
<A HREF="view_m.php?id=<?php echo $id?>&date=<?php echo $prevdate?>">&lt;&lt;</A>
<?php } ?>
</TD>
<TD ALIGN="middle">
<FONT SIZE="+2" COLOR="<?php echo $H2COLOR?>">
<B>
<?php
  printf ( "%s %d", month_name ( $thismonth - 1 ), $thisyear );
?>
</B></FONT><BR>
<FONT COLOR="<?php echo $H2COLOR?>"><?php echo $view_name ?></FONT>

</TD>
<TD ALIGN="right">
<?php if ( ! $friendly ) { ?>
<A HREF="view_m.php?id=<?php echo $id?>&date=<?php echo $nextdate?>">&gt;&gt;</A>
<?php } ?>
</TD></TR>
</TABLE>

<?php
// The table goes names across the top and dates for rows.  Since we need
// to spit out an entire row before we can move to the next date, we'll
// save up all the HTML for each cell and then print it out when we're
// done....
// Additionally, we only want to put at most 6 users in one table since
// any more than that doesn't really fit in the page.

// get users in this view
$res = dbi_query (
  "SELECT cal_login FROM webcal_view_user WHERE cal_view_id = $id" );
$viewusers = array ();
if ( $res ) {
  while ( $row = dbi_fetch_row ( $res ) ) {
    $viewusers[] = $row[0];
  }
  dbi_free_result ( $res );
}
$e_save = array ();
$re_save = array ();
for ( $i = 0; $i < count ( $viewusers ); $i++ ) {
  /* Pre-Load the repeated events for quckier access */
  $repeated_events = read_repeated_events ( $viewusers[$i] );
  $re_save[$i] = $repeated_events;
  /* Pre-load the non-repeating events for quicker access */
  $events = read_events ( $viewusers[$i], $startdate, $enddate );
  $e_save[$i] = $events;
}

// divide users into groups of $USERS_PER_TABLE.
$tablear = array (); // table array. one entry = one table of users
if ( count ( $viewusers ) <= $USERS_PER_TABLE ) {
  $tablear[0] = $viewusers;
} else {
  $num = 0;
  $curtab = 0;
  $tablear[0] = array ();
  for ( $i = 0, $num = 0; $i < count ( $viewusers ); $i++, $num++ ) {
    if ( $num >= $USERS_PER_TABLE ) {
      $num = 0;
      $curtab++;
      $tablear[$curtab] = array ();
    }
    $tablear[$curtab][$num] = $viewusers[$i];
  }
}

if ( count ( $viewusers ) > 0 ) {
  if ( count ( $viewusers ) < $USERS_PER_TABLE ) {
    $tdw = (int) ( 90 / count ( $viewusers ) );
  } else {
    $tdw = (int) ( 90 / $USERS_PER_TABLE );
  }
} else {
  $tdw = 5;
}

for ( $tblptr = 0; $tblptr < count ( $tablear ); $tblptr++ ) {
  $tableusers = $tablear[$tblptr];

  // since print_date_entries is rather stupid, we can swap the event data
  // around for users by changing what $events points to.
?>

<?php if ( empty ( $friendly ) || ! $friendly ) { ?>
<TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
<TR><TD BGCOLOR="<?php echo $TABLEBG?>">
<TABLE BORDER="0" WIDTH="100%" CELLSPACING="1" CELLPADDING="2">
<?php } else { ?>
<TABLE BORDER="1" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
<?php } ?>

<TR><TD BGCOLOR="<?php echo $THBG?>">&nbsp;</TD>

<?php
  $today = mktime ( 2, 0, 0, date ( "m" ), date ( "d" ), date ( "Y" ) );
  for ( $i = 0; $i < count ( $tableusers ); $i++ ) {
    $user = $tableusers[$i];
    user_load_variables ( $user, "temp" );
    echo "<TH WIDTH=\"15%\" BGCOLOR=\"$THBG\">$tempfullname</TD>";
  }
  echo "</TR>\n";
  
  for ( $date = $monthstart; date ( "Ymd", $date ) <= date ( "Ymd", $monthend );
    $date += ( 24 * 3600 ), $wday++ ) {
    $wday = strftime ( "%w", $date );
    $weekday = weekday_short_name ( $wday );
    echo "<TR><TH WIDTH=\"10%\" BGCOLOR=\"$THBG\" VALIGN=\"top\"><FONT SIZE=\"-1\">" .
      $weekday . " " . round ( date ( "d", $date ) ) . "</FONT></TH>\n";
    for ( $i = 0; $i < count ( $tableusers ); $i++ ) {
      $user = $tableusers[$i];
      $events = $e_save[$i];
      $repeated_events = $re_save[$i];
      echo "<TD WIDTH=\"$tdw%\" ";
      if ( date ( "Ymd", $date ) == date ( "Ymd", $today ) )
        echo "BGCOLOR=\"$TODAYCELLBG\">";
      else
        echo "BGCOLOR=\"$CELLBG\">";
      //echo date ( "D, m-d-Y H:i:s", $date ) . "<BR>";
      print_date_entries ( date ( "Ymd", $date ),
        $user, $friendly, true );
      echo "</TD>";
    }
    echo "</TR>\n";
  }

  if ( empty ( $friendly ) || ! $friendly )
    echo "</TD></TR></TABLE>\n</TABLE>\n<P>\n";
  else
    echo "</TABLE>\n<P>\n";
  
}


$user = ""; // reset

echo $eventinfo;

if ( ! $friendly )
  echo "<A HREF=\"view_m.php?id=$id&friendly=1\" " .
    "TARGET=\"cal_printer_friendly\" onMouseOver=\"window.status='" .
    translate("Generate printer-friendly version") .
    "'\">[" . translate("Printer Friendly") . "]</A>\n";


if ( ! $friendly ) {
  include "includes/trailer.php";
}
?>
</BODY>
</HTML>
